/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package paqueteView;

import java.util.List;
import javax.servlet.http.HttpServletRequest;
import paqueteBL.FvcBL;
import paqueteBL.HostExt;
import paqueteBL.VM;

/**
 *
 * @author sysmq
 */
public class VmView {

    public static String viewVM(HttpServletRequest request,VM vm) throws Exception
    {
        request.setAttribute("vm", vm);
        return "/viewVM.jsp";
    }

    public static String migrarVM(HttpServletRequest request,VM vm) throws Exception
    {
        request.setAttribute("vm", vm);
        List<HostExt> hosts=new FvcBL().loadHosts();
        request.setAttribute("hosts", hosts);
        return "/viewMigrar.jsp";
    }

    public static String clonarVM(HttpServletRequest request,VM vm) throws Exception
    {
        request.setAttribute("vm", vm);
        return "/viewClonar.jsp";
    }

}
